+++
title = "[Tutorial] Add new specimen"
insert_anchor_links = "right"
weight = 7
+++

## How to add new specimen

### 1. Fork the [control repository](@/ftest/terminology.md#control-repository).

```
git clone https://git.batsense.net/ForgeFlux/ftest-control
```

### 2. Create specimen subdirectory

If [specimen](@/ftest/terminology.md#specimen) doesn't exist within `targets/` directory, then create subdirectory for it:

```bash
mkdir targets/<insert-specimen-name>
cd targets/<insert-specimen-name>
```

### 3. Create docker-compose.yml:

```bash
touch docker-compose.yml
```

Populate docker-compose.yml with instructions to spin up a test
environment for the specimen. The specimen's upstream sources
will include a reference docker-compose file should be fine in most cases.

### 4. Create job manifest

Job manifest is defined in `ftest.toml` file in the specimen's
subdirectory. It can contain information on:

#### Initialization code
needs to be run to prepare the test environment.
