+++
title = "Quick Links"
insert_anchor_links = "right"
weight = 4
+++

# Quick Links

## Repositories

-   [Source code](https://git.batsense.net/ForgeFlux/ftest)
-   [Control repository](https://git.batsense.net/ForgeFlux/ftest-control)
-   [Results repository](https://git.batsense.net/ForgeFlux/ftest-results)
-   [Forgejo-init-script (Initialization code)](https://git.batsense.net/ForgeFlux/forgejo-init-script)

## Test suites

-   [WebFinger](https://git.batsense.net/ForgeFlux/webfinger-test)
-   [Nodeinfo](https://git.batsense.net/ForgeFlux/nodeinfo-test)
-   [ActivityPub (WIP)](https://git.batsense.net/ForgeFlux/nodeinfo-test)
-   [Host Meta (RFC6415)](https://git.batsense.net/ForgeFlux/host-meta-test)

## Container Images

-   [WebFinger](https://hub.docker.com/r/forgeflux/webfinger-test/)
-   [Nodeinfo](https://hub.docker.com/r/forgeflux/nodeinfo-test/)
-   [ActivityPub](https://hub.docker.com/r/forgeflux/ap-test/)
-   [Host Meta (RFC6415)](https://hub.docker.com/r/forgeflux/host-meta-test/)
